# 2.4.7. Commands in ‘thread’ mode

The following commands are available in thread mode:

bounce

  directly re-send selected message

editnew

  edit message in as new

  optional arguments
    —spawn:

      open editor in new window

fold

  fold message(s)

  argument

    query used to filter messages to affect

forward

  forward message

  optional arguments
    —attach:

      attach original mail

    —spawn:

      open editor in new window

indent

  change message/reply indentation

  argument

    None

move

  move focus in current buffer

  argument

    up, down, [half]page up, [half]page down, first, last, parent, first reply, last reply, next sibling, previous sibling, next, previous, next unfolded, previous unfolded, next NOTMUCH_QUERY, previous NOTMUCH_QUERY

pipeto

  pipe message(s) to stdin of a shellcommand

  argument

    shellcommand to pipe to

  optional arguments
    —all:

      pass all messages

    —format:

      output format; valid choices are: ‘raw’,’decoded’,’id’,’filepath’ (defaults to: ‘raw’)

    —separately:

      call command once for each message

    —background:

      don’t stop the interface

    —add_tags:

      add ‘Tags’ header to the message

    —shell:

      let the shell interpret the command

    —notify_stdout:

      display cmd’s stdout as notification

print

  print message(s)

  optional arguments
    —all:

      print all messages

    —raw:

      pass raw mail string

    —separately:

      call print command once for each message

    —add_tags:

      add ‘Tags’ header to the message

remove

  remove message(s) from the index

  optional arguments
    —all:

      remove whole thread

reply

  reply to message

  optional arguments
    —all:

      reply to all

    —list:

      reply to list

    —spawn:

      open editor in new window

retag

  set message(s) tags.

  argument

    comma separated list of tags

  optional arguments
    —all:

      tag all messages in thread

    —no-flush:

      postpone a writeout to the index (defaults to: ‘True’)

retagprompt

  prompt to retag selected thread’s or message’s tags

save

  save attachment(s)

  argument

    path to save to

  optional arguments
    —all:

      save all attachments

select
  select focussed element:

    - if it is a message summary, toggle visibility of the message;

    - if it is an attachment line, open the attachment

    - if it is a mimepart, toggle visibility of the mimepart

tag

  add tags to message(s)

  argument

    comma separated list of tags

  optional arguments
    —all:

      tag all messages in thread

    —no-flush:

      postpone a writeout to the index (defaults to: ‘True’)

toggleheaders

  display all headers

  argument

    query used to filter messages to affect

togglemimepart

  switch between html and plain text message

  argument

    query used to filter messages to affect

togglemimetree

  disply mime tree of the message

  argument

    query used to filter messages to affect

togglesource

  display message source

  argument

    query used to filter messages to affect

toggletags

  flip presence of tags on message(s)

  argument

    comma separated list of tags

  optional arguments
    —all:

      tag all messages in thread

    —no-flush:

      postpone a writeout to the index (defaults to: ‘True’)

unfold

  unfold message(s)

  argument

    query used to filter messages to affect

untag

  remove tags from message(s)

  argument

    comma separated list of tags

  optional arguments
    —all:

      tag all messages in thread

    —no-flush:

      postpone a writeout to the index (defaults to: ‘True’)